"use client";
import { Input } from "~/components/ui/input";
import { addCountry } from "~/server/actions/addCountry";
import SubmitButton from "../SubmitButton";
import { useFormState } from "react-dom";

export default function CreateCountryForm() {
  const [state, formAction] = useFormState(addCountry, null);

  return (
    <form action={formAction}>
      <Input name="name" />
      <SubmitButton text={"Country"} />
      {state?.message}
    </form>
  );
}
